import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { EstadoAprobacion } from '../models/estado-aprobacion.model';

@Injectable({
  providedIn: 'root'
})
export class EstadoAprobacionService {
  private apiUrl = 'api/estadosAprobacion';

  constructor(private http: HttpClient) {}

  getEstadosAprobacion(): Observable<EstadoAprobacion[]> {
    return this.http.get<EstadoAprobacion[]>(this.apiUrl);
  }
}
